/**
 * 部署状态
 * @date 2021-11-02 18:10:46
 * @author 周勇强
 */
class DeployStatusTitle {
    static deployStatusMap = new Map()

    static getDeployStatusTitle(deployStatus: Number) {
        if (this.deployStatusMap.size == 0) {
            this.deployStatusMap.set(0, '已部署')
            this.deployStatusMap.set(1, '待部署')
            this.deployStatusMap.set(2, '部署中')
            this.deployStatusMap.set(3, '部署失败')
            this.deployStatusMap.set(4, '待停止')
            this.deployStatusMap.set(5, '停止中')
            this.deployStatusMap.set(6, '已关闭')
            this.deployStatusMap.set(7, '停止失败')
        }
        return this.deployStatusMap.get(deployStatus)
    }
}

export { DeployStatusTitle }